! This is the first program to be run against the dll
! Compile it using the command:
!   df prog1.f90 custom.lib
!
	program prog1
	common /cb/ i, j
!DEC$ ATTRIBUTES DLLIMPORT :: /cb/
	volatile i,j
	write (*,*) 'Values of I,J before pause:'
	write (*,*) i, j
	pause
!   Run PROG2 here, during the pause
	call func()
	end

	subroutine func()
	common /cb/ i, j
!DEC$ ATTRIBUTES DLLIMPORT :: /cb/
	volatile i,j
	write (*,*) 'Values of I,J after pause:'
	write (*,*) i, j
	end
	